﻿@model dynamic

@{
    Layout = null;

    var data = Model.Data as List<Dictionary<string, string>>;

    var keys = Model.Keys as List<string>;
}


<html>

<head>
    <meta name="viewport" content="width=device-width" />
</head>


<body>
    <div>
        <table cellspacing="1" cellpadding="1" style="text-align:center; letter-spacing: .5px;font-family: verdana ; width: 100%;font-size: 7px; border-top:1px solid;">
            <thead>
                @*<tr>
                        <td colspan="9">
                            <span style="font-size:7pt;font-family: sans-serif;"> Provider contact information -</span> <br />
                            <span style="font-size:7pt;font-family: sans-serif;"></span>
                            <div style="height:200px">
                                &nbsp;
                            </div>
                        </td>
                    </tr>*@
                <tr style="text-decoration:underline; color:blue; border-top:1px solid">

                    @foreach (var item in keys)
                    {
                        <td style="width: 10%">
                            @item.Replace("_", " ")
                        </td>
                    }
                </tr>
            </thead>

            <tbody>

                @foreach (var item in data)
                {
                    <tr>

                        @foreach (var key in keys)
                        {
                            var keyValue = item.SingleOrDefault(v => v.Key == key);

                            var value = keyValue.Value != null ? keyValue.Value : string.Empty;
                            <td>
                                @value
                            </td>
                        }


                    </tr>
                }


            </tbody>

        </table>
    </div>
</body>


</html>

